Classes | UGens>Info

# ControlRate : InfoUGenBase : UGen : AbstractFunction : Object

Server control rate.
Source: InfoUGens.sc
See also: RadiansPerSample, SampleDur, SampleRate, SubsampleOffset

## Description

Get the current control rate of the server.

## Class Methods

### ControlRate.ir

From superclass: InfoUGenBase

#### Returns:

The current control rate of the server.

equivalent to 1 / ControlDur

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

{ ControlRate.ir.poll }.play;

play a sine tone at control rate{ SinOsc.ar(ControlRate.ir) * 0.1 }.play;

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/ControlRate.schelp
link::Classes/ControlRate::